Networking
cancel
Showing results for 
Search instead for 
Did you mean: 

Trying to install nmap on HP-UX 11.31 ia64

Tom Wolf_3
Valued Contributor

Trying to install nmap on HP-UX 11.31 ia64

Hello all.

I downloaded and installed nmap 4.76 depot from the HP-UX porting and archive site http://hpux.connect.org.uk/hppd/hpux/Networking/Admin/nmap-4.76/ on our HP-UX 11.31 ia64 hosts.

I then tried to run the following command to scan the ssh port on another HP-UX hosts but received the missing library error shown.

 

# nmap epicamb -PN -p ssh
/usr/lib/hpux32/dld.so: Unable to find library 'libpcre.so'.
Killed

 

I'm obviously missing some dependent/required library but not sure which one is tied to libpcre.so.

I didn't see that particular library listed on the HP-UX porting site.

If anyone can provide some guidance on exactly what I need to get this tool running, it would be much appreciated.

 

Thanks in advance.

 

Tom Wolf

2 REPLIES
Patrick Wallek
Honored Contributor

Re: Trying to install nmap on HP-UX 11.31 ia64

There are a VERY LARGE number of run time dependencies for NMAP.  If you go back to the site and look at the run dependency section, you'll see them.  These are required in order for NMAP to run correctly.

 

From http://hpux.connect.org.uk/hppd/hpux/Networking/Admin/nmap-4.76/

 

Run-time dependencies: atk cairo db expat fontconfig freetype gdbm gettext glib2 gtk+2 jpeg libXft libXrender libiconv libpcap libpng openssl pango pcre perl pixman tiff zlib readline termcap

Tom Wolf_3
Valued Contributor

Re: Trying to install nmap on HP-UX 11.31 ia64

Thanks for the response.

I downloaded depothelper from the porting site and was then able to get all the dependencies for nmap.

Thanks again.